Subject: Re: DISCUSS and COMMENT: draft-ietf-sieve-refuse-reject

From: Aaron Stone <[email-masked]>
Date: Mon, 17 Nov 2008 08:06:11 -0800

On Fri, 2008-11-14 at 13:54 +0000, Alexey Melnikov wrote:
> Hi Pasi,
> My apologies for the delayed response:
> 
> Pasi Eronen wrote:
> 
> >Discuss:
[snip]
> >The document says the main difference between 'reject' and 'ereject'
> >is that the latter allows SMTP/LMTP level rejection (and there are
> >some details about non-ASCII strings).  I think I understand this
> >part, but it seems there's another difference: the former talks about
> >sending an MDN, while the latter sends a DSN.
> >
> Correct. I would consider MDN versa DSN to be a minor difference.
> 
> >I'm not that familiar with the distinction between MDNs and DSNs (and
> >on first reading, thought they meant the same thing),
> >
> They are very similar syntactically. Semantically, DSN is for reporting 
> delivery status (don't involve a human), while MDN is for reporting user 
> processing status, such as message read, deleted without reading, etc.
> 
> >and I think the
> >document would benefit from short description here, reminding readers 
> >that they're not the same thing, and explaining why 'reject' and 
> >'ereject' do things differently.
> >
> The reason why MDNs were chosen in the first place, because reject 
> action could be implemented in a Mail User Agent. The MUA is not allowed 
> to generate DSNs, because the message was already delivered to user's 
> mailbox. At this point only MDNs can be generated.
> 
> What happened after RFC 3028 came out was that many more Sieve engines 
> running inside MTAs or MDAs were developed. For them, generating MDN 
> might be a bit awkward.
> 
> So I am not entirely convinced that stating this difference is going to 
> be very useful. Please let me know if you still think otherwise.

I accidentally left an editor's mark in the -08 draft I just posted, and
mis-attributed the sentence above as [[[arnt's text]]]. I wanted to
possibly put this into the document to describe the difference of MDN
vs. DSN.

Proposed text:
"""
   This document also specifies the use of a Delivery Status
   Notification [DSN] instead of an MDN when appropriate. In general,
   an MDN is generated by an MUA or MDA, and can be used to indicate
   the status of a message with respect to its recipient, while a DSN
   is generated by an MTA, and can be used to indicate whether or not
   a message was received and delivered by the mail system. In other
   words, an MDN is a human-oriented status while a DSN is a
   machine-oriented status.
"""

I'll flip the location of this paragraph in the introduction wrt the paragraph that introduces the reference to EMAIL-ARCH so that MTA, MDA and MUA are already defined at this point.

Like it? Dislike it? Don't care?

Aaron

---

From: Aaron Stone <[email-masked]>
Date: Mon, 17 Nov 2008 10:33:34 -0800

Less verbose, previous paragraph for context:

"""
Introduction
...
   This document also describes how to use reject/ereject at varying
   points in the email stack: Mail Transfer Agent (MTA), Mail Delivery
   Agent (MDA), and Mail User Agent (MUA). See [EMAIL-ARCH] for a
   comprehensive discussion of these environments.

   This document also specifies the use of a Delivery Status
   Notification [DSN] instead of an MDN when appropriate. In general,
   an MDN is a human-oriented status, generated by an MUA, while a
   DSN is a machine-oriented status, generated by an MTA.
""""

---

From: Alexey Melnikov <[email-masked]>
Date: Mon, 17 Nov 2008 14:27:56 -0600

>>   an MDN is generated by an MUA or MDA, and can be used to indicate
I can see MDA generating a DSN, so I would remove MDA from the above line.

>>Like it? Dislike it? Don't care?
This looks fine to me otherwise.

But, I think we still need to discuss in the WG whether this text should 
be added. A topic for today's Sieve WG meeting.

---

From: Ned Freed <[email-masked]>
Date: Mon, 17 Nov 2008 12:37:12 -0800 (PST)

> I'll flip the location of this paragraph in the introduction wrt the
> paragraph that introduces the reference to EMAIL-ARCH so that MTA, MDA and MUA
> are already defined at this point.

> Like it? Dislike it? Don't care?

I don't feel strongly about this, but I don't think the distinction between
DSNs and MDns is their human versus machine orientation. Both contain
parts intended for human use and parts intended for machine use.

Nor is it the case that DSNs are always generated by automatic action. For
example, we generate DSNs when a email admin forces return of a message through
our admin interface.

I would therefore suggest just dropping the last sentence. The earlier part,
OTOH, is quite good and should be retained.

				Ned

---

From: Aaron Stone <[email-masked]>
Date: Mon, 17 Nov 2008 12:46:56 -0800

> OTOH, is quite good and should be retained.

Thanks, I rewrote it a bit and have posted its own thread to the list.
Could you take a look at that version?

Aaron